#ifndef PROCESSER_H
#define PROCESSER_H

#include "rtk32.h"

#include "KnapTaeller.h"
#include "thread.h"

class Proc_KnapTrykTaeller : public Thread {
public:
	Proc_KnapTrykTaeller(RTKSemaphore *, KnapTaeller *);
	~Proc_KnapTrykTaeller() {}
	virtual void run();
private:
	unsigned int antal;
	RTKSemaphore *tryk;
	KnapTaeller *kt;
};

class Proc_VisKnapTryk : public Thread {
public:
	Proc_VisKnapTryk(RTKSemaphore *, KnapTaeller *);
	~Proc_VisKnapTryk() {}
	virtual void run();
private:
	RTKSemaphore *tryk;
	KnapTaeller *kt;
};

class Proc_Timer : public Thread {
public:
	Proc_Timer(RTKSemaphore *);
	~Proc_Timer() {}
	virtual void run();
private:
	RTKSemaphore *sem;
};

class Proc_Ur : public Thread {
public:
	Proc_Ur(RTKSemaphore *);
	~Proc_Ur() {}
	virtual void run();
private:
	RTKSemaphore *timer,*nulstil;

};

class Proc_Operator : public Thread {
public:
	Proc_Operator(RTKSemaphore *, KnapTaeller *);
	~Proc_Operator() {}
	virtual void run();
private:
	RTKSemaphore *sem;
	KnapTaeller *kt;
};

class Proc_Monitor : public Thread {
public:
	Proc_Monitor();
	~Proc_Monitor() {}
	virtual void run();
private:
};

/*
class Proc_ : public Thread {
public:
(RTKSemaphore *);
~ () {}
virtual void run();
private:
RTKSemaphore *sem;
};
*/

#endif